


<h1><a name="bash" id="bash">Bash</a></h1>
<div class="level1">
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Bash" [1-20] -->
<h2><a name="how_to_change_escape_characters_association" id="how_to_change_escape_characters_association">How to change escape characters association</a></h2>
<div class="level2">

<p>

Sometimes you can&#039;t send a program some characters association (e.g. Ctrl+S) because the bash window intercepts then. In order to the program to work correctly, you must remove this character association from bash. Here is an example:
</p>
<pre class="code bash"><span class="co0"># see escape characters association</span>
$ <span class="kw2">stty</span> <span class="re5">-a</span>
<span class="co0"># shows ... ; stop = ^S; ...</span>
<span class="co0"># let's associate stop to Ctrl+Q</span>
$ <span class="kw2">stty</span> stop ^Q
<span class="co0"># now CTRL-S will be passed to the program running inside the bash</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to change escape characters association" [21-524] -->
<h2><a name="how_to_change_bash_configuration" id="how_to_change_bash_configuration">How to change bash configuration</a></h2>
<div class="level2">

<p>

The file ~/.bashrc is read and executed every time you open bash. So if you want that a configuration change (like stty) to be true the next time you open bash, you must append it to the ~/.bashrc. Here is an example code:
</p>
<pre class="code bash"><span class="co0"># append to ~/.bashrc</span>
$ <span class="kw3">echo</span> <span class="st_h">'stty stop ^Q'</span> <span class="sy0">&gt;&gt;</span> ~<span class="sy0">/</span>.bashrc</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to change bash configuration" [525-872] -->
<h2><a name="how_to_use_same_bash_configuration_file_on_many_pcs" id="how_to_use_same_bash_configuration_file_on_many_pcs">How to use same bash configuration file on many PCs</a></h2>
<div class="level2">

<p>

If order to use the same configuration file on many PCs (e.g. your work and you home), you can include your main file on the ~/.bashrc of those PCs. Example:
</p>
<pre class="code bash"><span class="co0"># append to ~/.bashrc (do this on each PC)</span>
$ <span class="kw3">echo</span> <span class="st_h">'source /path/to/your/main/configuration/file/.bashrc'</span> <span class="sy0">&gt;&gt;</span> ~<span class="sy0">/</span>.bashrc</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to use same bash configuration file on many PCs" [873-1235] -->
<h2><a name="how_to_make_a_fork_bomb" id="how_to_make_a_fork_bomb">How to make a fork bomb</a></h2>
<div class="level2">
<pre class="code bash">$ :<span class="br0">&#40;</span><span class="br0">&#41;</span><span class="br0">&#123;</span> :<span class="sy0">|</span>:<span class="sy0">&amp;</span><span class="br0">&#125;</span>;:</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to make a fork bomb" [1236-1308] -->
<h2><a name="how_to_recursively_change_file_permissions" id="how_to_recursively_change_file_permissions">How to recursively change file permissions</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw2">chmod</span> a+rwx <span class="re5">-R</span> foldername</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to recursively change file permissions" [1309-1413] -->
<h2><a name="how_to_see_folder_sizes" id="how_to_see_folder_sizes">How to see folder sizes</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw2">du</span> <span class="sy0">*</span> <span class="re5">-s</span> <span class="sy0">|</span> <span class="kw2">sort</span> <span class="re5">-rg</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to see folder sizes" [1414-] -->